import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_index_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_index_s_g_entity.g.dart';

@JsonSerializable()
class JobListIndexSGEntity {
  @JSONField(name: "start_date")
  String? startDate = null;
  @JSONField(name: "end_date")
  String? endDate = null;
  @JSONField(name: "outlet_list")
  List<JobListIndexSGOption> outletList = [];
  @JSONField(name: "status_list")
  List<JobListIndexSGOption> statusList = [];
  @JSONField(name: "agency_list")
  List<JobListIndexSGOption> agencyList = [];

  JobListIndexSGEntity();

  factory JobListIndexSGEntity.fromJson(Map<String, dynamic> json) => $JobListIndexSGEntityFromJson(json);

  Map<String, dynamic> toJson() => $JobListIndexSGEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class JobListIndexSGOption {
  String? value = null;
  String? txt = null;
  String? selected = null;

  JobListIndexSGOption();

  factory JobListIndexSGOption.fromJson(Map<String, dynamic> json) => $JobListIndexSGOptionFromJson(json);

  Map<String, dynamic> toJson() => $JobListIndexSGOptionToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
